Main Page Data Structures File List Data Fields Globals Related Pages

# checkbios.cpp File Reference

`#include "checkbios.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <dos.h>`
`#include <process.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Defines
#define | MAGIC_AUTO_UPLOAD "cmd /c upload.cmd"
| Ultra cool auto upload feature.
## Functions
void | getFocus ()
void | releaseFocus ()
int | getBiosVersion ()
int | getBootVersion ()
void | getFeatures (int *ax, int *bx, int *dx)
int | getIniString (char *section, char *item, char *target, int maxlen)
int | getEquipment ()
| Get BIOS equiment description.
void | trim (char *str)
| Strip leading and trailing whitespaces.
bool | CheckBIOS ()
| Check bios and chip.ini settings.

## Define Documentation

#define MAGIC_AUTO_UPLOAD "cmd /c upload.cmd"

| Ultra cool auto upload feature. If MAGIC_AUTO_UPLOAD is defined, the program will check if it is run on the development PC, and will call a batch file to compress and upload itself to the mp3 player. Yes. You're right. This absolutely rocks, rules, impresses your friends, and makes you more attractive to the other gender. Definition at line 37 of file checkbios.cpp. Referenced by CheckBIOS().

## Function Documentation

bool CheckBIOS | ( |  | ) |

| Check bios and chip.ini settings. Because our program needs some BIOS features and relies on DMA channels, we have to check some settings first. Todo: change function name to "BIOS_Init()", and perhaps adjust the filename, too. BIOS and system functions that aren't yet included in the clib should fit in here. Definition at line 150 of file checkbios.cpp. References FEAT_AX_ETHERNET, FEAT_DX_EXTDISK, FEAT_DX_HWAPI, FEAT_DX_I2C, FEAT_DX_RTOS, getBiosVersion(), getBootVersion(), getEquipment(), getFeatures(), getFocus(), getIniString(), MAGIC_AUTO_UPLOAD, releaseFocus(), and trim(). Referenced by main().

int getBiosVersion | ( |  | ) | `[static]`

| Definition at line 56 of file checkbios.cpp. References SYSTEM_INT. Referenced by CheckBIOS().

int getBootVersion | ( |  | ) | `[static]`

| Definition at line 66 of file checkbios.cpp. References SYSTEM_INT. Referenced by CheckBIOS().

int getEquipment | ( |  | ) | `[static]`

| Get BIOS equiment description. Returns: equipment code, see BIOS interrupt 0x11 documentation. (the @ChipSC12 will always return 0x013C) Definition at line 116 of file checkbios.cpp. Referenced by CheckBIOS().

void getFeatures | ( | int * | ax,
|  | int * | bx,
|  | int * | dx
| ) | `[static]`

| Definition at line 76 of file checkbios.cpp. References SYSTEM_INT. Referenced by CheckBIOS().

void getFocus | ( |  | ) | `[static]`

| Definition at line 40 of file checkbios.cpp. Referenced by CheckBIOS().

int getIniString | ( | char * | section,
|  | char * | item,
|  | char * | target,
|  | int | maxlen
| ) | `[static]`

| Definition at line 88 of file checkbios.cpp. References SYSTEM_INT. Referenced by CheckBIOS().

void releaseFocus | ( |  | ) | `[static]`

| Definition at line 48 of file checkbios.cpp. Referenced by CheckBIOS().

void trim | ( | char * | str | ) | `[static]`

| Strip leading and trailing whitespaces. Definition at line 127 of file checkbios.cpp.